Get borrow market asset position
curl --request GET \
--url https://api.vaults.fyi/beta/borrow/portfolio/positions/{userAddress}/{network}/{marketId}/{assetId} \
--header 'x-api-key: <api-key>'import requests
url = "https://api.vaults.fyi/beta/borrow/portfolio/positions/{userAddress}/{network}/{marketId}/{assetId}"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.vaults.fyi/beta/borrow/portfolio/positions/{userAddress}/{network}/{marketId}/{assetId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"marketId": "<string>",
"name": "<string>",
"network": {
"chainId": 123,
"networkCaip": "<string>"
},
"protocol": {
"name": "<string>",
"displayName": "<string>",
"product": "<string>",
"version": "<string>"
},
"userAddress": "<string>",
"asset": {
"asset": {
"address": "<string>",
"assetCaip": "<string>",
"name": "<string>",
"symbol": "<string>",
"decimals": 123,
"assetGroup": "<string>",
"assetLogo": "<string>",
"assetPriceInUsd": "<string>",
"oraclePriceUsd": "<string>"
},
"collateralEnabled": true,
"balanceNative": "<string>",
"suppliedNative": "<string>",
"borrowedNative": "<string>",
"balanceUsd": "<string>",
"suppliedUsd": "<string>",
"borrowedUsd": "<string>"
},
"ltv": 1,
"healthFactor": 1
}{
"statusCode": 123,
"error": "Bad Request",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Unauthorized",
"message": "An API key is required to access this service. Sign up at https://portal.vaults.fyi/signup to generate a key. We offer a Pay-As-You-Go plan so you only pay for what you use, with no commitments.",
"errorId": "<string>"
}{
"x402Version": 123,
"resource": {
"url": "<string>",
"description": "<string>",
"mimeType": "<string>",
"serviceName": "<string>",
"tags": [
"<string>"
],
"iconUrl": "<string>"
},
"error": "<string>",
"accepts": [
{
"scheme": "exact",
"network": "<string>",
"amount": "<string>",
"payTo": "<string>",
"maxTimeoutSeconds": 123,
"asset": "<string>",
"extra": {
"name": "<string>",
"version": "<string>"
}
}
],
"extensions": {}
}{
"error": "Forbidden",
"message": "This API key has exhausted its available credits. To resume service, please visit https://portal.vaults.fyi/signup to top-up your credits",
"errorId": "<string>"
}{
"error": "Not Found",
"message": "<string>"
}{
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Unprocessable Entity",
"message": "<string>",
"errorId": "<string>"
}{
"error": "Internal Server Error",
"message": "<string>",
"errorId": "<string>"
}{
"statusCode": 123,
"error": "Service Unavailable",
"message": "<string>",
"errorId": "<string>"
}Borrow Markets
Get borrow market asset position
Provides the user position for one asset within one borrow market.
GET
/
beta
/
borrow
/
portfolio
/
positions
/
{userAddress}
/
{network}
/
{marketId}
/
{assetId}
Get borrow market asset position
Authorizations
Path Parameters
Address of the user whose borrow market positions are requested
Pattern:
^0x[a-fA-F0-9]{40}$Canonical network slug
Available options:
mainnet, optimism, arbitrum, polygon, gnosis, base, unichain, swellchain, celo, worldchain, berachain, ink, bsc, hyperliquid, plasma, avalanche, katana, linea, mega-eth, monad, etherlink, robinhood Canonical market identifier
Minimum string length:
1Market asset identifier
Minimum string length:
1Response
Default Response
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Pattern:
^0x[a-fA-F0-9]{40}$Show child attributes
Show child attributes
Loan-to-value ratio of the position. Omitted when not applicable.
Required range:
x >= 0Health factor of the position. Omitted when not applicable.
Required range:
x >= 0⌘I

